Entwurf Ellipse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Ellipse and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Draft Arc.svg Kreisbogen Vorherige:
Nächste: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Menüeintrag
Draft → Ellipse
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
E L
In der Version eingeführt
0.7
Siehe auch
Kreis, Bogen


Beschreibung

Das Ellipsen-Werkzeug erstellt eine Ellipse in der aktuellen Arbeitsebene durch Eingabe von zwei Punkten zur Definition der Eckpunkte eines Rechtecks, in das die Ellipse passt. Dabei werden die vorher im Draft Tray festgelegte Linienbreite und -farbe verwendet.

Dieses Werkzeug kann auch zur Erstellung von elliptischen Bögen verwendet werden, indem der Start und Endwinkel angegeben wird. Zum Erstellen von Kreisen und Kreisbögen verwende die Werkzeuge Entwurf Kreis und Entwurf Bogen. Du kannst auch eine Ellipsen oder Kreisbogen mit den Werkzeugen Entwurf BSpline und Entwurf BezKurve annähern.

Draft ellipse example.jpg

Ellipse definiert durch die Ecken eines Rechtecks


Anwendung

  1. Drücke die Draft Ellipse.svg Entwurf Ellipse Taste oder drücke E dann L Tasten.
  2. Klicke einen ersten Punkt in der 3D Ansicht oder

gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.

  1. Klicke einen zweiten Punkt in der 3D Ansicht oder

gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.

Die Ellipse kann nach der Erstellung in einen elliptischen Bogen umgewandelt werden, indem die 'First Angle'- und 'Last Angle'-Eigenschaften auf unterschiedliche Werte eingestellt werden.

Optionen

  • Um Koordinaten manuell einzugeben, gib einfach die Ziffern ein, drücke dann Enter zwischen den X, Y und Z Komponenten. YDu kannst die Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken wenn Du die gewünschten Werte zum Einfügen des Punktes hast.
  • Drücke R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten Punkt; wenn nicht, sind sie absolut, ausgehend vom Ursprung (0,0,0).
  • Drücke T oder klicke das Kontrollkästchen an, um den Modus fortsetzen zu aktivieren. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Ellipsenwerkzeug nach dem Beenden der Form neu gestartet, so dass Du eine weitere Form zeichnen kannst, ohne die Werkzeugschaltfläche erneut zu drücken.
  • Drücke L oder klicke auf das Kontrollkästchen, um den Modus "gefüllt" zu aktivieren. Wenn der Modus "gefüllt" aktiviert ist, erzeugt die Ellipse eine gefüllte Fläche ({PropertyData/de|Erstelle Fläche}} True); wenn nicht, erzeugt die Ellipse keine Fläche (Daten-EigenschaftErstelle Fläche {{FALSE}).
  • Halte STRG während des Zeichnens gedrückt, um Fangen deinen Punkt unabhängig von der Entfernung zur nächsten Fangposition zu zwingen.
  • Halte Umschalten, während du auf Beschränken deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zeichnest.
  • Drücke Esc oder die Schließen Taste, um den aktuellen Befehl abzubrechen.

Eigenschaften

Ein Ellipsenobjekt teilt viele gleiche Eigenschaften mit einem Entwurf Kreis, aber einige Eigenschaften sind nur bei einer Ellipse sinnvoll.

Daten

  • Daten-EigenschaftErster Winkel: gibt den Winkel des ersten Punktes der Ellipse an; normalerweise 0°.
  • Daten-EigenschaftLetzter Winkel: gibt den Winkel des letzten Punktes der Ellipse an; normalerweise 0°.
  • Daten-EigenschaftHauptradius: gibt den Hauptradius der Ellipse an; normalerweise 0°.
  • Daten-EigenschaftNebenradius: gibt den kleinen Radius der Ellipse an.
Wenn beide Radien den gleichen Wert haben, sieht die Ellipse wie ein Entwurf Kreis aus.
  • Daten-EigenschaftFläche erzeugen: gibt an, ob die Ellipse eine Fläche erzeugt oder nicht. Ist sie True, wird eine Fläche erzeugt, andernfalls wird nur der Umfang als Teil des Objekts betrachtet. Diese Eigenschaft funktioniert nur, wenn die Form eine Vollellipse ist.

Damit es eine Vollellipse ist, müssen Daten-EigenschaftErster Winkel und Daten-EigenschaftLetzter Winkel den gleichen Wert haben; andernfalls wird ein elliptischer Bogen angezeigt. Die Werte 0° und 360° werden als gleich betrachtet.

Ansicht

  • Ansicht EigenschaftMuster: definiert ein Entwurf Muster, mit dem die Fläche der Form gefüllt wird. Diese Eigenschaft funktioniert nur, wenn Daten-EigenschaftFläche erstellen True ist und Ansicht EigenschaftAnzeigemodus auf "Ebene Linien" gesetzt ist.
  • Ansicht EigenschaftMustergröße: gibt die Größe des Entwurf Muster an.

Skripten

Siehe auch: Entwurf API und FreeCAD Grundlagen Skripten.

Das Ellipsenwerkzeug kann in Makros und aus der Python Konsole heraus durch folgende Funktion verwendet werden:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Erzeugt ein Ellipse Objekt mit gegebenem Haupt- ({incode|majradius}) und Nebenradius (minradius) in Millimetern.
    • Der größere Wert wird für den Hauptradius (X Achse) verwendet, wenn keine andere Platzierung angegeben ist.
  • Wenn ein placement angegeben wird, wird er verwendet; andernfalls wird die Form am Ursprung erzeugt.
  • Wenn Fläche True ist, wird die Ellipse eine Fläche bilden, d.h. sie wird gefüllt erscheinen.

Beispiel:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Draft Arc.svg Kreisbogen Vorherige:
Nächste: Polygon Draft Polygon.svg Arrow-right.svg